var arrayConsulta;
var idZona = '';
var fechaHasta = '';
var fechaDesde = '';

$('#zonaServicio_').change(function(){
	idZona = $(this).val();
	contratosVencidosFiltro();
	
})

$('#fecha_desde').change(function(){
	fechaDesde = $(this).val();
	contratosVencidosFiltro();
	
})

$('#fecha_hasta').change(function(){
	fechaHasta = $(this).val();
	contratosVencidosFiltro();
})

$(".reportePDFE").on('click', function(event) {
	event.preventDefault();

	let tipoServicios = $("#tipoServicio").val();
	let estadoServicios = $("#estadoServicio").val();
	let zonaServicios = $("#zonaServicio").val();

	window.open("extensiones/tcpdf/pdf/servicios-vencidos.php", "_blank");
	
});



function contratosVencidosFiltro(){
	var datosContrato = arrayContratos;
	arrayConsulta = [];
	
	datosContrato.forEach( function(element, index) {
		var fechaPagos = element.fechas_pagos;
		var fecha = fechaPagos.split("-")[0]+"-"+fechaPagos.split("-")[1];

		if(idZona != '' && fechaDesde != '' && fechaHasta != ''){
			if(idZona == element.idzona && 
				Date.parse(fecha) >= Date.parse(fechaDesde) && 
				Date.parse(fecha) <= Date.parse(fechaHasta)){
				console.log('fecha desde: fecha hasta:');
				arrayConsulta.push(element);
			}
		} else if(idZona != '' && fechaDesde != ''){
			if(idZona == element.idzona && 
				Date.parse(fecha) == Date.parse(fechaDesde)) {
				console.log('fecha desde:');
				arrayConsulta.push(element);
			}
		} else if(idZona != '' && fechaHasta != ''){
			if(idZona == element.idzona && 
				Date.parse(fecha) == Date.parse(fechaHasta)) {
				arrayConsulta.push(element);
				console.log('fecha hasta:');
			}
		} else if(fechaDesde != '' && fechaHasta != ''){
			if(Date.parse(fecha) >= Date.parse(fechaDesde) && 
				Date.parse(fecha) <= Date.parse(fechaHasta)){
				console.log('fecha desde: fecha hasta:');
				arrayConsulta.push(element);
			}
		} else if(fechaDesde != ''){
			if(Date.parse(fecha) == Date.parse(fechaDesde)) {
				console.log('fecha desde:');
				arrayConsulta.push(element);
			}
		} else if(fechaHasta != ''){
			if(Date.parse(fecha) == Date.parse(fechaHasta)) {
				arrayConsulta.push(element);
				console.log('fecha hasta:');
			}
		} else if(idZona == element.idzona){
			arrayConsulta.push(element);
		}		
	});
	var array = JSON.stringify(arrayConsulta);
	var datos = new FormData();
	datos.append("reporte-vencidos", array);
	$.ajax({
		url: 'ajax/contratos.ajax.php',
		method: 'post',
		data: datos,
		contentType: false,
		processData: false,
		success: function(res){
			console.log(res);
		}
	})
		mostrarTabla();

	
}

function mostrarTabla(){
	$('#serviExport').empty();
		var html;

         if(arrayConsulta.length != 0){

         	arrayConsulta.forEach( function(element, index) {
         		html +=`<tr> 
          			<td>${index}</td>
          			<td>${element.codigo}</td>
          			<td>${element.nombrePersona}</td>
          			<td>${element.documento}</td>
          			<td>${element.nombre_zona}</td>
          			<td>${element.direccion}</td>
          			<td>${element.tipoServicio}</td>
          			<td>${element.nombreServicio}</td>
          			<td>${element.fechas_pagos}</td>
          			<td>${element.monto}</td>
          			<td><span class="badge bg-red" idservicios="'.$value["idservicios"].'" estadoPersona="0">Vencido</span></td>
          		</tr>`;
         	});

         	$('#serviExport').html(html);
         	
         }	
         
}